#include <TinyWireS.h>

#define I2C_ADDRESS 0x10  // Cambia a 0x10 para el segundo esclavo
#define LED_PIN 4

volatile uint8_t command = 0;

void receiveEvent(uint8_t howMany) {
  if (howMany < 1) return;
  command = TinyWireS.read();  // ← Aquí está el cambio importante
  digitalWrite(LED_PIN, command ? HIGH : LOW);
}

void setup() {
  pinMode(LED_PIN, OUTPUT);
  digitalWrite(LED_PIN, LOW);
  TinyWireS.begin(I2C_ADDRESS);
  TinyWireS.onReceive(receiveEvent);
}

void loop() {
  TinyWireS_stop_check();
}
