#include <TinyWireS.h>

#define I2C_ADDRESS 0x20  // Dirección del segundo esclavo
#define LED_PIN 4       // Pin donde está conectado el LED

volatile uint8_t command = 0;

void receiveEvent(uint8_t howMany) {
  if (howMany < 1) return;
  command = TinyWireS.read();
  digitalWrite(LED_PIN, command ? HIGH : LOW);
}

void setup() {
  pinMode(LED_PIN, OUTPUT);
  digitalWrite(LED_PIN, LOW);  // Apaga el LED al iniciar
  TinyWireS.begin(I2C_ADDRESS);
  TinyWireS.onReceive(receiveEvent);
}

void loop() {
  TinyWireS_stop_check();  // Muy importante para evitar errores en I2C
}
